FORMAX DEVELOPER API
  1. PPI Fund Transfer API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. PPI Fund Transfer API

Verify OTP

POST
https://api.formaxpay.com/api/ppi_dmt/verify_otp
This API verifies the OTP sent to the sender during PPI DMT sender registration or login. Once verified, it confirms the sender identity and provides a token for subsequent API calls.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/ppi_dmt/verify_otp' \
--header 'Authorization: Basic M2U4czlqZ0F4VTNadmczeGZTa3NxbWVjTjVyTHdxYlg6NUFrcEB3Ti1UbH5tRUo5' \
--header 'Content-Type: application/json' \
--data-raw '{
    "token": "06XQfE2b8YnxFqLGoHP+FGGOmzgvK8J0evtoE1bfEf3pd/5GvHkvd9L9kI4r7nAWHHwMzJU8u99ZXsi5GrF5tw==",
    "otp": "124697"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "OTP Verified",
    "data": {
        "wallet_ac_opened": false,
        "wallet_ac_opening_in_progress": true,
        "wallet_ac_application_number": "1977715",
        "wallet_holder_name": "",
        "kyc_type": "",
        "account_status": "",
        "wallet_to_bank_limit_available": 0,
        "wallet_to_bank_limit_consumed": 0,
        "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJJZGVudGlmaWNhdGlvbkNvZGUiOiJUc3BFNGs0bk1MMHVMaCtZWjZuamx3PT0iLCJCQ0FnZW50SWQiOiJmU2hvN0grMGcrYz0iLCJleHAiOjE3NjY0NzU2OTAsImlzcyI6IlBheVBvaW50IiwiYXVkIjoiUGFydG5lcnMifQ.27PmBgGpGu3Fo0urqA6iC_h_F5KYXkjS6mIAympeVrM",
        "wallet_kyc_status": {
            "aadhaar_verified": false,
            "pan_verified": false
        }
    }
}
Modified at 2025-12-24 13:11:20
Previous
Generate OTP
Next
Generate Aadhaar OTP
Built with